Update Account Mapping - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Update Account Mapping
cURL
curl --request PUT \
--url https://{tenant}.mindbridge.ai/api/v1/account-mappings/{accountMappingId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '\n{\n "version": 123,\n "accountTags": [\n "<string>"\n ],\n "code": "<string>"\n}\n'
Python
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/account-mappings/{accountMappingId}"
payload = {
"version": 123,
"accountTags": ["<string>"],
"code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({version: 123, accountTags: ['<string>'], code: '<string>'})
};
fetch('https://{tenant}.mindbridge.ai/api/v1/account-mappings/{accountMappingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/account-mappings/{accountMappingId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'version' => 123,
'accountTags' => [
'<string>'
],
'code' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.mindbridge.ai/api/v1/account-mappings/{accountMappingId}"
payload := strings.NewReader("{\n \"version\": 123,\n \"accountTags\": [\n \"<string>\"\n ],\n \"code\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java (Unirest)
HttpResponse<String> response = Unirest.put("https://{tenant}.mindbridge.ai/api/v1/account-mappings/{accountMappingId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"version\": 123,\n \"accountTags\": [\n \"<string>\"\n ],\n \"code\": \"<string>\"\n}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://{tenant}.mindbridge.ai/api/v1/account-mappings/{accountMappingId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"version\": 123,\n \"accountTags\": [\n \"<string>\"\n ],\n \"code\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body
Response
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"engagementId": "<string>",
"account": "<string>",
"accountDescription": "<string>",
"code": "<string>",
"usedByAnalysisSources": [
"<string>"
],
"fundId": "<string>",
"accountTags": [
"<string>"
]
}
Authorizations
Authorization
- Type:
string - Location:
header - Required: Yes
- Description: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Path Parameters
accountMappingId
- Type:
string - Required: Yes
Body
- Content-Type:
application/json
version
- Type:
integer<int64> - Required: Yes
- Description: The data integrity version, to ensure data consistency.
accountTags
- Type:
string[] - Required: Yes
- Description: A list of account tags associated with this account.
code
- Type:
string - Description: The account grouping code mapped to this account.
Response
200 - application/json
- Description: OK
id
- Type:
string - Description: The unique object identifier.
version
- Type:
integer<int64> - Description: The data integrity version, to ensure data consistency.
creationDate
- Type:
string<date-time> - Description: The date that the object was originally created.
lastModifiedDate
- Type:
string<date-time> - Description: The date that the object was last updated or modified.
createdUserInfo
- Type:
User Info• object - Description: Details about the user who created the object.
lastModifiedUserInfo
- Type:
User Info• object - Description: Details about the user who last modified or updated the object.
engagementId
- Type:
string - Description: Identifies the associated engagement.
account
- Type:
string - Description: The account name as provided in the source data.
accountDescription
- Type:
string - Description: The description of the account as provided in the source data.
code
- Type:
string - Description: The account grouping code mapped to this account.
accountTags
- Type:
string[] - Description: A list of account tags associated with this account.